Rejects a pending referral. Only the recipient firm can reject. Run in API Explorer
Ask AI
A rejection reason is required. Cloned client data will be cleaned up.
POST
/api/v1/referrals/{referral_uuid}/reject
curl \
--request POST 'https://api.plannrcrm.com/api/v1/referrals/6ff8f7f6-1eb3-3525-be4a-3932c805afed/reject' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"rejection_reason":"Unable to take on new clients at this time."}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"rejection_reason": "Unable to take on new clients at this time."
}
Response examples (200)
{
"uuid": "e0831af9-4eb4-4fba-bbe6-2369f85e1024",
"direction": "sent",
"connection": {
"uuid": "abc-123"
},
"clients": [
{
"uuid": "client-uuid-1",
"name": "John Doe"
}
],
"cloned_clients": [
{
"uuid": "cloned-uuid-1",
"name": "John Doe"
}
],
"advice_type": "investments",
"duration_months": 3,
"shared_data": [
"basic_details",
"contact_details"
],
"note": "Client needs help with retirement planning.",
"sla_deadline": "2026-02-28",
"status": "pending",
"rejection_reason": "Unable to take on new clients.",
"sender_firm": {
"uuid": "abc-123",
"name": "Sender Firm Name"
},
"recipient_firm": {
"uuid": "def-456",
"name": "Recipient Firm Name"
},
"sender_account": {
"uuid": "83fe3a9d-5bb2-49c8-b3a6-d8701c3085f2",
"created_at": "2026-08-11T10:38:38+01:00",
"updated_at": "2026-08-11T10:38:38+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "f3bae78b-caf2-489d-87b6-90fd6f6dde1a",
"created_at": "2026-08-11T10:38:45+01:00",
"updated_at": "2026-08-11T10:38:45+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"recipient_account": {
"uuid": "7a781aa1-2af2-4289-a56c-6654f8ac41ec",
"created_at": "2026-08-11T10:38:38+01:00",
"updated_at": "2026-08-11T10:38:38+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "f3bae78b-caf2-489d-87b6-90fd6f6dde1a",
"created_at": "2026-08-11T10:38:45+01:00",
"updated_at": "2026-08-11T10:38:45+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"created_at": "2026-08-11T10:38:38+01:00",
"updated_at": "2026-08-11T10:38:38+01:00",
"expires_at": "2026-11-11T10:38:38+00:00"
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}